Subject: Re: [PATCH 2/5] sparse-index: refactor path_found()

From: Derrick Stolee <[email-masked]>
Date: Wed, 26 Jun 2024 08:43:48 -0400

On 6/24/24 6:13 PM, Elijah Newren wrote:
> On Thu, Jun 20, 2024 at 10:11 AM Derrick Stolee via GitGitGadget
> <[email-masked]> wrote:
>>
>> From: Derrick Stolee <[email-masked]>
>>
>> In advance of changing the behavior of path_found(), take all of the
>> intermediate data values and group them into a single struct. This
>> simplifies the method prototype as well as the initialization. Future
>> changes can be made directly to the struct and method without changing
>> the callers with this approach.
>>
>> Note that the clear_path_found_data() method is currently empty, as
>> there is nothing to free. However, this will change in the future, so
>> place the method and its callers for now.
> 
> I can't parse the second half of the final sentence.  What was meant here?

I was trying to point out how this method looks a bit silly:

>> +static void clear_path_found_data(struct path_found_data *data)
>> +{
>> +       return;
>> +}

It will be filled in with a meaningful implementation later on, but
I wanted to establish its callers here. I'll try to find a better
way to communicate this.

Thanks,
-Stolee